
# Lattice iCE40: development platform for [PlatformIO](https://platformio.org)

The iCE40 family of ultra-low power, non-volatile FPGAs has five devices with densities ranging from 384 to 7680 Look-Up Tables (LUTs). In addition to LUT-based,low-cost programmable logic, these devices feature Embedded Block RAM (EBR), Non-volatile Configuration Memory (NVCM) and Phase Locked Loops (PLLs). These features allow the devices to be used in low-cost, high-volume consumer and system applications.

* [Home](https://platformio.org/platforms/lattice_ice40) (home page in PlatformIO Registry)
* [Documentation](https://docs.platformio.org/page/platforms/lattice_ice40.html) (advanced usage, packages, boards, frameworks, etc.)

# Examples

* [counter](https://github.com/platformio/platform-lattice_ice40/tree/master/examples/counter)
* [leds](https://github.com/platformio/platform-lattice_ice40/tree/master/examples/leds)
